<template>
    <div class="content__leftAnalitika">
        <div class="pc-dop">
            <p class="text-titlePc">
                <router-link :to="route('payment_systems')">
                    <svg>
                        <use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
                    </svg>
                    {{ $t('ui.back') }}
                </router-link>
                {{ $t('payment_systems.form.create_title') }}
            </p>
            <payment-system-form @submit="save"/>
        </div>
    </div>
</template>

<script>
    import route from "../mixins/route";
    import {mapGetters} from 'vuex';

    import PaymentSystemForm from "../components/payment_systems/PaymentSystemForm";

    export default {
		name: "PaymentSystemCreate",
        mixins: [route],
        components: { PaymentSystemForm },
        computed: {
		    ...mapGetters([
		        'axios'
            ])
        },
        methods: {
            save(form){
                this.axios
                    .post(`payment_systems`, form)
                    .then(resp => resp.data)
                    .then(data => {
                        this.$swal(this.$t('ui.success'), data.message, 'success')
                            .then(() => {
                                this.$router.push(this.route('payment_systems'))
                            });
                    })
                ;
            }
        }
	}
</script>

<style scoped>

</style>
